petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPSetInitialGuessKnoll

Tells the iterative solver to use PCApply(pc,b,..) to compute the initial guess (The Knoll trick)

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetInitialGuessKnoll(KSP ksp,PetscBool flg)

Logically Collective on KSP

### Input Parameters

| ksp | - iterative context obtained from KSPCreate()
| flg | - PETSC_TRUE or PETSC_FALSE

Developer Note: the Knoll trick is not currently implemented using the KSPGuess class

### Keywords

set, initial guess, nonzero

### See Also

KSPGetInitialGuessKnoll(), KSPSetInitialGuessNonzero(), KSPGetInitialGuessNonzero(), KSP

### Level

advanced

### Location

src/ksp/ksp/interface/itfunc.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages